Bug 123434 - Code Folding behaviour has to be fixed
Code Folding behaviour has to be fixed
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Petr Pisl
issues@php
: PLAN
Depends on:
Blocks: 123432
  Show dependency treegraph
 
Reported: 2007-12-05 11:00 UTC by Andrew Korostelev
Modified: 2008-08-13 17:04 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Korostelev 2007-12-05 11:00:55 UTC
a feature that allows the user to selectively hide and display sections of a currently-edited file with PHP code.
Comment 1 Pavel Buzek 2008-01-17 01:17:02 UTC
Code folding for classes, functions and comments is at least partially implemented but unreliable. When I type a new
function it sometimes is not picked up at all (no code folding), sometimes it is incorrectly. For example the fold
begins at the beginning of the function but does not end at the end, ends at the end of the next block after the function.

Changing the issue type to defect.
Comment 2 Alexei Mokeev 2008-01-29 07:18:53 UTC
We have to fix our work with Schliemann in order to fix Code Folding. It is really a bug but not a new feature.
Comment 3 Petr Pisl 2008-02-04 09:54:29 UTC
Last week I did some fixes in the code folding area. 
Comment 4 Petr Pisl 2008-05-28 15:50:15 UTC
Fixed in PHP EA build
Comment 5 Mikhail Matveev 2008-08-13 17:04:43 UTC
Now code folding is fine.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo